#include <iostream>
using namespace std;
int main ()
{
    int n, ch, d1, d2;
    bool flag=false;
    cin>>n;

    for (int i=1; i<=n; i++)
    {
        cin>>ch;
        for (int j=2; j<=ch; j++)
        {
            for (int k=2; k<=ch; k++)
            {
                d1=j*j;
                d2=k*k;
                if (ch==d1+d2)
                {
                    flag=true;
                }
            }

        }
        if (flag==false)
        {
            cout<<"0";
        }
        if (flag==true)
        {
            cout<<"1";
            flag=false;

        }

    }

    return 0;
}
